from itertools import product

from sklearn.datasets import load_digits

from sklearn.model_selection import train_test_split

from OnlineRandomForest import OnlineRandomForest

digits = load_digits()
X, y = digits.data, digits.target


depths = [10, 20, 50, 100]
tests = [5, 7, 10, 20]
features = [1, 3, 5, 7, 10, 15]
thresholds = [10, 20, 50, 100, 200, 400]
trees = [50, 75, 150, 250, 400]

logf = open('eval.log', 'w')


def main():
    orf = OnlineRandomForest()

    for i in range(1):
        X_train, X_test, y_train, y_test = \
            train_test_split(X, y, test_size=0.7, random_state=1)
        orf.write_eval_data(X_train, y_train, X_test, y_test)

        for (depth_, tests_, features_, threshold_, trees_) in product(depths, tests, features, thresholds, trees):
            orf.configure(depth_, tests_, features_, threshold_, trees_)
            accuracy = orf.execute()
            log(depth_, tests_, features_, threshold_, trees_, accuracy)


def log(depth, tests, features, threshold, trees, accuracy):
    logf.write('{} {} {} {} {} {}\n'.format(depth, tests, features, threshold, trees, accuracy))


if __name__ == '__main__':
    main()
