from sklearn.datasets import load_digits

from sklearn.model_selection import train_test_split
from sklearn.linear_model import PassiveAggressiveClassifier

digits = load_digits()
X, y = digits.data, digits.target
X_train, X_test, y_train, y_test = \
    train_test_split(X, y, test_size=0.7, random_state=1)

clf = PassiveAggressiveClassifier(C=1.0, max_iter=1, random_state=1)

clf.fit(X_train, y_train)

score = clf.score(X_test, y_test)


print('{} training and {} test samples => Score {:.02f}'.format(
    len(X_train),
    len(X_test),
    score)
)
